<form class="form-container" #loginForm="ngForm">
    <h1>Login</h1>
    <div class="form-group">
        <label for="inputUsername">Username</label>
        <input [ngClass]="{redBorder: loginError}" (input)="onLoginInput()" type="text" class="form-control"
            [(ngModel)]='user.username' name="username" placeholder="Username" #username="ngModel" required>
        <p class="text-danger" *ngIf="username.invalid && (username.dirty || username.touched)">Polje ne sme biti prazno</p>
    </div>
    <div class="form-group">
        <label for="inputPassword">Password</label>
        <input type="password" [ngClass]="{redBorder: loginError}" (input)="onLoginInput()" [(ngModel)]='user.password'
            class="form-control" name="password" placeholder="Password" #password="ngModel" required>
        <p class="text-danger" *ngIf="password.invalid && (password.dirty || password.touched)">Polje ne sme biti prazno</p>
        <p *ngIf="loginError" class="red">Bad username or password</p>
    </div>
    <button class="btn btn-info btn-block" (click)='login()' [disabled]="loginForm.invalid">Submit</button>
</form>